summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-images
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-images')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images13
1 files changed, 10 insertions, 3 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index bf5768ee549..87a810d784a 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -11,14 +11,21 @@
# Send bug reports or suggestions to tex-live@tug.org.
# Historical notes at the end of the script.
+renice 20 $$ >/dev/null 2>&1
+LANG=C; export LANG
+LC_ALL=C; export LC_ALL
+unset CDPATH # avoid output from cd
+umask 022
+
+lockfile=/dev/shm/cron.tlimg.lock # so it'll go away on reboot
+lockfile -r 0 $lockfile || exit 1 # from procmail
+trap "rm -f $lockfile; exit 0;" 0 1 2 15
+
NAME=texlive
V=2020
D=`date +%Y%m%d`
target=/home/ftp/texlive/Images/test
-renice 20 $$ >/dev/null 2>&1
-umask 002
-unset CDPATH # avoid output from cd
XZ_OPT=-6e; export XZ_OPT # compression level, -9 for slowest-but-most,
# which is not worth the (excessive) time.